<?php
class AdminView {

	protected $nameMap = array();
	protected $app = "";

	protected function __construct() {
	    $gui_config_file = Config::getInstance()->getConfig("genad::gui_config_file");
	    if ($gui_config_file) include ($gui_config_file);
	    if (isset($name_map)) $this->nameMap = $name_map;
	}
	protected function getGuiString($key) {
	    if (array_key_exists($key, $this->nameMap)) return $this->nameMap[$key];
		return $key;
	}
	
	protected function printHeader() {
		$app = $this->app;
		echo <<<PART1
<html>
<head>
<title>$app WebGUI</title>
<link rel="stylesheet" type="text/css" href="view/admin.css">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
</head>
<body>
<!-- TODO: Lokalisierungsmöglichkeit einbauen <? php // echo $ guiText->getText("STRING_"); ?> -->
<p><a href="index.php">Home</a></p><h1>$app System</h1>
<hr>
PART1;
		
	}
}